Package: groovy.org.codenarc.rule.security

## [Groovy] Class JavaIoPackageAccessRule

- groovy.org.codenarc.rule.security.JavaIoPackageAccessRule

- This rule reports violations of the Enterprise JavaBeans specification by using the java.io package to access files or the file system.

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `doNotApplyToFilesMatching`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String doNotApplyToFilesMatching

    - #### String name

    - #### int priority